# Craft Application

[![Documentation Status][rtd-badge]][rtd-latest]
[![Codecov Status][codecov-badge]][codecov-status]
[![Ruff status][ruff-badge]][ruff-site]

Craft Application is the base library for all Starcraft applications.

Its purpose is to provide a single source of truth for the implementation of
common Starcraft mechanisms, such as application services and project models.

This library is most useful for app developers in the Starcraft family.

## Documentation

The [Craft Application documentation][rtd-latest] provides guidance about
understanding and using the library.

## Community and support

You can report any issues or bugs on the project's [GitHub
repository](https://github.com/canonical/craft-application/issues).

Craft Application is covered by the [Ubuntu Code of
Conduct](https://ubuntu.com/community/ethos/code-of-conduct).

## Contribute to Craft Application

Craft Application is open source and part of the Canonical family. We would love
your help.

If you're interested, start with the [contribution guide](CONTRIBUTING.md).

We welcome any suggestions and help with the docs. The [Canonical Open
Documentation Academy](https://github.com/canonical/open-documentation-academy)
is the hub for doc development, including Craft Application docs. No prior
coding experience is required.

## License and copyright

Craft Application is released under the [GPL-3.0 license](LICENSE).

© 2023-2025 Canonical Ltd.

[rtd-badge]: https://readthedocs.com/projects/canonical-craft-application/badge/?version=latest
[rtd-latest]: https://canonical-craft-application.readthedocs-hosted.com/en/latest/
[ruff-badge]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json
[ruff-site]: https://github.com/astral-sh/ruff
[codecov-badge]: https://codecov.io/github/canonical/craft-application/coverage.svg?branch=master
[codecov-status]: https://codecov.io/github/canonical/craft-application?branch=master
